package com.perfectech.tis.activities;

import android.app.Activity;
import android.os.Bundle;
import android.util.Log;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.webkit.WebView;
import android.widget.SimpleAdapter;
import android.widget.Button;

import java.io.IOException;
import java.util.ArrayList;
import java.util.Locale;

import com.perfectech.tis.R;
import com.perfectech.tis.TISDBHelper;

public class HelpActivity extends Activity {
    private static final String sDBName = "TIS.db";
    private static final int iVersionVal = 6;
    private static ArrayList<ArrayList<String>> helpArray;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        setContentView(R.layout.activity_help);

        String sScreenID = getIntent().getExtras().getString("ScreenID"); //tvScreenID.getText().toString();

        WebView wvHelpText = (WebView) findViewById(R.id.wvHelpText);
        String sLanguage = Locale.getDefault().getLanguage();
        String sFile = getHelpFileName(sScreenID);
        try {
            sFile = new StringBuilder(sFile).insert(sFile.length()-4, "_" + sLanguage).toString();
        } catch (Exception ex) {
            //default to english if one is not found for specific language
            sFile = new StringBuilder(sFile).insert(sFile.length()-4, "_en").toString();
        }
        wvHelpText.loadUrl("file:///android_asset/" + sFile);
        Button btnOK = (Button) findViewById(R.id.btnOK);
        btnOK.setOnClickListener(new View.OnClickListener() {
            public void onClick(View v) {
                finish();
            }
        });
    }

   @Override
    protected void onResume() {
        super.onResume();

    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_help, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        if (id == R.id.action_settings) {
            return true;
        }

        return super.onOptionsItemSelected(item);
    }

    private String getHelpFileName(String sScreenID) {
        String sRtnVal = "";

        // get help file name from the database
        TISDBHelper oDB = new TISDBHelper(getApplicationContext(), sDBName,
                null, iVersionVal);
        try {
            oDB.createDataBase();
        } catch (IOException ioe) {
            throw new Error("Unable to create database");
        }

        oDB.openDataBase();
        String sSQL = "Select HelpFileName ";
        sSQL += "from ScreenHelpFiles ";
        sSQL += "where ScreenID = '" + sScreenID + "'";

        Log.d("sSQL", sSQL);

        helpArray = oDB.selectRecordsFromDBList(sSQL, null);

        // closes the database
        try {
            oDB.close();
        } catch (Throwable e) {
            e.printStackTrace();
        }

        SimpleAdapter sd;
        Integer iSize = helpArray.size();
        Log.d("iSize", iSize.toString());
        if (iSize > 0) {
            for (ArrayList<String> sValue : helpArray) {
                sRtnVal = sValue.get(0);
            }
        }
        return sRtnVal;
    }
}
